---
title: The first single application for the entire DevOps lifecycle - GitLab
description: “From project planning and source code management to CI/CD and monitoring, GitLab is a single application for the entire DevOps lifecycle. Only GitLab enables Concurrent DevOps to make the software lifecycle 200% faster.”
suppress_header: true
layout: home
extra_css:
  - home.css
extra_js:
  - libs/on-scroll.js
  - home.js
  - all-clickable.js
---

= partial "includes/home/carousel"
= partial "includes/home/customer-logos-transparent"
.container
  = partial "includes/home/sdlc"

%section.u-padding-bottom-sm.u-padding-top-sm
  .container
    .row.text-center
      .col-xs-12
        %h2.main-heading.u-margin-bottom-md Work Concurrently, No More Handoffs
    .row
      .col-md-6
        .row.u-margin-bottom-sm
          .col-xs-4.text-right
            = image_tag "/images/home/shift-to-left.png"
          .col-xs-8
            %p Dev, QA, Security and Operations are part of a single conversation throughout the lifecycle. Detect problems earlier by ‘shifting them to the left’ and solving them without delays.
      .col-md-6
        .row.u-margin-bottom-sm
          .col-xs-4.text-right
            = image_tag "/images/home/lifecycle.png"
          .col-xs-8
            %p Teams work at the same time instead of waiting for Security, QA, and Operations handoffs because teams are backlogged.

%section
  .container
    .integrated-teams
      .row
        .col-md-4.u-margin-bottom-xs-if-xs
          %h2.main-heading Integrated teams working together
        .col-md-8
          %p GitLab is the first single application built from the ground up for all stages of the DevOps lifecycle for Product, Development, QA, Security, and Operations teams to work concurrently on the same project. GitLab enables teams to collaborate and work from a single conversation, instead of managing multiple threads across disparate tools. GitLab provides teams a single data store, one user interface, and one permission model across the DevOps lifecycle allowing teams to collaborate, significantly reducing cycle time and focus exclusively on building great software quickly.

%section.u-padding-bottom-md
  .container
    .row
      .col-md-12.gke-layer
        .gke-layer-body
          %h2.main-heading The easiest way to deploy cloud native applications

          %p
            GitLab’s Kubernetes integration makes it easy to create and configure clusters. With Auto DevOps, GitLab automatically configures CI/CD pipelines to build, test, verify, and deploy applications to Kubernetes.

          .btn-group
            %a.btn.cta-btn.btn-primary{ href: '/kubernetes' } Learn more

        .k8s-layer-media
          = image_tag "/images/home/kubernetes.png"

= partial "includes/home/ten-oh-announcement"

= partial "includes/testimonials/slider"

.container
  = partial "includes/forrester-reports"

= partial "includes/home/feature-group"
